"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class IlluminaSummaryCancerV4_Calculations(ProtocolElement):
    """
    Stats calculated from values stored in IlluminaSummaryCancerV4
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "SOMATIC_SVS",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_4 import metrics as metrics_1_2_1

        return {
            "org.gel.models.report.avro.IlluminaSummaryCancerV4_Calculations": metrics_1_2_1.IlluminaSummaryCancerV4_Calculations,
        }

    __slots__ = [
        "SOMATIC_SVS",
    ]

    def __init__(
        self,
        SOMATIC_SVS,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_1.IlluminaSummaryCancerV4_Calculations model.

        :param SOMATIC_SVS:
            Total number of structural variants that PASS filters
        :type SOMATIC_SVS: int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.1"
